200#
{
============== Calendrier.mac ===================

Auteur : Alphonse Capriani

Version : 10.10
Dernière mise à jour : 3 octobre 2010

Description : 
Modèle permettant le chargement du fichier 
Cristallo.mac et donnant plusieurs exemples 
d'utilisation des macros du fichier.
	
Remarques :
Cristallo.mac ne fonctionne pas correctement avec
la version actuelle (1.94) de TeXgraph.
(Uniquement avec les pavages apériodiques)
Il est préférable d'utiliser le fichier avec la 
dernière version test 1.95. 

==================================================
}

Var 
	{ Version du fichier }
	CristalloVersion = 10.10;
    CristalloLoad = InputMac("Cristallo.mac");

Cmd 
	Fenetre(-5-5*i, 5+5*i, 1+i);
	Marges(0.5,0.5,0.5,0.5);
	IsVisible:=0;

Graph 
	Frise = {Exemple de frise périodique}
		[
		Fenetre(-4-0.7*i, 4+1.4*i, 2+2*i),
		tMin:=0, tMax:=pi, NbPoints:=100,
		$L:=Get(Courbe(0.7*sin(3*t)*cos(t)+i*0.7*sin(3*t)*sin(t), t)),
		Motif:=simil(L, 0.5+0.5*i, 0.4, pi/8),
		
		DrawFrise("fm2",
			[
			{Pt de référence et vecteur de base}
				PtRef:=-0.5+0.3*i, Vecteur1:=2.5+0.25*i, 
			{Bord et arrière-plan}
				BordWidth:=Thicklines, BordColor:=black, 
				BackgroundFillColor:=crimson,
			{Motif de base}
				MotifFillStyle:=none, MotifWidth:=Thicklines, MotifColor:=gold,
			{Axes et centres}
				AfficherAxesSym:=1, AxesSymLineStyle:=solid, AxesSymWidth:=thicklines, AxesSymColor:=lightblue,
				AfficherAxesGliss:=1, AxesGlissLineStyle:=dashed, AxesGlissWidth:=thicklines, AxesGlissColor:=ghostwhite,
				AfficherCentres1:=1, CtrDotAngle1:=180*Arg(Vecteur1)/pi+90,
			{Autres éléments à afficher}
				AfficherPtRef:=1, PtRefDotStyle:=dotcircle, PtRefDotSize:=2.5+2*i,
				AfficherVecteur1:=1, VecteurWidth1:=Thicklines,
				EncadrerMotif:=1, CadreColor:=lightyellow
			])
		];

	Rosace = {Exemple de rosace}
		[
		Fenetre(-1.5*(1+i), 1.5*(1+i), 4+4*i),
		LineCap:=round, NbPoints:=200,
		AjusterFenetre:=1, FenetreEcart:=0,
		$L:=[0.52521010418422+0.14113363274373*i,0.70133064896799+0.75031993491575*i,
				0.13199483603239+0.06142165651544*i,0.43978655920364+0.60954159894026*i,
				0.48058554017916+0.16553819854743*i],
		
		{Pt de référence et direction de l'axe}
			PtRef:=0, Vecteur1:=1,
		
		{Motif de base}
			Motif:=Get(Spline(L)),
			MotifLineStyle:=solid, MotifWidth:=Thicklines, MotifColor:=gold,
		{Bord et arrière-plan}
			BordLineStyle:=solid, BordWidth:=mm, BordColor:=black,
			BackgroundFillStyle:=full, BackgroundFillColor:=darkslategray,
		{Axes de symétrie}
			AfficherAxesSym:=1, AxesSymEcart:=0.2,
			AxesSymLineStyle:=solid, AxesSymWidth:=thinlines, AxesSymColor:=gray,
		{Ordre d'affichage des éléments}
			RosaceOrdreAffichage:=[background, axessym, bord, motif],
		
		DrawRosace("rnm", 10)
		];

	PavPeriodique = {Exemple de pavage périodique}
		[
		Fenetre(-5*(1+i), 5*(1+i), 1+i),
		LineCap:=round,
		
		{Pt de référence et vecteurs de base}
			PtRef:=-1.5-0.4*i,
			Vecteur1:=2*exp(-i*pi/6), Vecteur2:=2*exp(i*pi/4),
			AfficherPtRef:=1, AfficherVecteur1:=1, AfficherVecteur2:=1,
			VecteurColor1:=darkslateblue, VecteurColor2:=darkslateblue,
		{Motif de base}
			$L:=[0.67062370898202+0.35571859637275*i,0.91788840829394+0.49448074982501*i,
					0.37435138830915+0.20470197964459*i,0.43335385224781+0.40269087115302*i,
					0.30348043842241+0.94105794653296*i,0.74630511016584+0.6084428417962*i],
			Motif:=Get(Spline(L)),
			MotifLineStyle:=solid, MotifWidth:=Thicklines, MotifColor:=gold,
		{Arrière-plan}
			BackgroundFillStyle:=full, BackgroundFillColor:=darkred,
		{Réseau}
			AfficherReseau:=1,
			ReseauLineStyle:=solid, ReseauWidth:=thicklines, ReseauColor:=ghostwhite,
		{Axes de symétrie et de glissement}
			AfficherAxesSym:=1,
			AxesSymLineStyle:=solid, AxesSymWidth:=thinlines, AxesSymColor:=black,
			AfficherAxesGliss:=1,
			AxesGlissLineStyle:=solid, AxesGlissWidth:=thinlines, AxesGlissColor:=gray,
		
		DrawPavPeriodique("cmm")
		];

	PavPolygone = {Exemple de pavage par des polygones réguliers}
		[
		Fenetre(-5*(1+i), 5*(1+i), 1+i),
		
		{Chiralité}
			Chiral:=1,
		{Pt de référence et vecteur de base}
			PtRef:=0, Vecteur1:=0.75,
		{Attributs des polygones}
			PolyLineStyle:=dotted, PolyWidth:=0.75*mm, PolyColor:=dimgray,
			PolyFillColor1:=papayawhip,
			PolyFillColor2:=darkorange,
			PolyFillColor3:=darkslateblue,
			PolyFillColor4:=darkred,
		
		DrawPavPolygone(8)
		];

	PavAperiodique = {Exemple de pavage apériodique}
		[
		Fenetre(0+0.25*i, 0.5+0.75*i, 1+i), size(10),
		
		{Attributs des tuiles}
			TilesLineStyle:=noline, TilesColor:=white,
			TilesFillColor1:=darkslateblue,
			TilesFillColor2:=white,
			TilesFillColor3:=cornflowerblue,
			TilesFillColor4:=gold,
		{Tuile de base}
			$P:=PriebeFrankNonPVTiles(0, 0.75+0.25*i, 1),
		{Génération du pavage}
			$Pav:=PriebeFrankNonPV(P, 5),
		{Dessin du pavage}
			DrawTiles(Pav),
		{Affichage du nom du pavage}
			PavAperiodiqueNames("PriebeFrankNonPV", "pfnpv", 0),
			LineStyle:=noline, FillStyle:=full, FillOpacity:=0.7,
			LabelStyle:=bottom+left+framed, LabelSize:=large,
			LabelDot(Xmin+i*Ymin, ["\slshape ", @pfnpv], "NE", 0, 0.1)
		];
		
Cmd 
	IsVisible:=1;

Graph
	PavTruchet = {Exemple de pavage de Truchet}
		[
		Fenetre(0, 1+i, 10*(1+i)),
		
		{Tuile de base du pavage}
			$P:=TruchetTiles(0, 1, 1),
		{Génération du pavage}
			$Pav:=Truchet(P, 25),
		{Attributs des tuiles}
			LineCap:=round,
			TilesLineStyle:=solid, TilesWidth:=thicklines, TilesColor:=ghostwhite,
			TilesFillColor1:=indigo,
			TilesFillColor2:=lightpink,
		{Dessin du pavage}
			DrawTruchetTiles(Pav, [4, 2, 4, 2])
		];
